LibOFX: OfxAggregate Class Reference

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# OfxAggregate Class Reference

Inheritance diagram for OfxAggregate:

## Detailed Description

A single aggregate as described in the OFX 1.02 specification.

This aggregate has a tag, and optionally a number of subordinate elements and aggregates.

An example is: <CCACCTINFO> <CCACCTFROM> <ACCTID>1234 </CCACCTFROM> <SUPTXDL>Y <SVCSTATUS>ACTIVE </CCACCTINFO>

Definition at line 42 of file ofx_aggregate.hh.

## Public Member Functions
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const

## Constructor & Destructor Documentation

OfxAggregate::OfxAggregate | ( | const string & | tag | ) | `[inline]`

  | Creates a new aggregate, using this tag Parameters:
  | tag | The tag of this aggregate
Definition at line 50 of file ofx_aggregate.hh.

OfxAggregate::OfxAggregate | ( | const string & | tag | ) | `[inline]`

  | Creates a new aggregate, using this tag Parameters:
  | tag | The tag of this aggregate
Definition at line 50 of file fx-0.8.2/lib/ofx_aggregate.hh.

## Member Function Documentation

void OfxAggregate::Add | ( | const OfxAggregate & | sub | ) | `[inline]`

  | Adds a subordinate aggregate to this aggregate Parameters:
  | sub | The aggregate to be added
Definition at line 69 of file fx-0.8.2/lib/ofx_aggregate.hh.

void OfxAggregate::Add | ( | const string & | tag,
|  | const string & | data
| ) | `[inline]`

  | Adds an element to this aggregate Parameters:
  | tag | The tag of the element to be added
  | data | The data of the element to be added
Definition at line 59 of file fx-0.8.2/lib/ofx_aggregate.hh.

void OfxAggregate::Add | ( | const OfxAggregate & | sub | ) | `[inline]`

  | Adds a subordinate aggregate to this aggregate Parameters:
  | sub | The aggregate to be added
Definition at line 69 of file ofx_aggregate.hh.

void OfxAggregate::Add | ( | const string & | tag,
|  | const string & | data
| ) | `[inline]`

  | Adds an element to this aggregate Parameters:
  | tag | The tag of the element to be added
  | data | The data of the element to be added
Definition at line 59 of file ofx_aggregate.hh. Referenced by OfxStatementRequest::BankStatementRequest(), OfxStatementRequest::CreditCardStatementRequest(), OfxStatementRequest::InvestmentStatementRequest(), libofx_request_payment_status(), OfxAccountInfoRequest::OfxAccountInfoRequest(), OfxPaymentRequest::OfxPaymentRequest(), OfxStatementRequest::OfxStatementRequest(), OfxRequest::RequestMessage(), and OfxRequest::SignOnRequest().

string OfxAggregate::Output | ( | void |  | ) | const`[inline]`

| Composes this aggregate into a string Returns: string form of this aggregate Definition at line 79 of file fx-0.8.2/lib/ofx_aggregate.hh.

string OfxAggregate::Output | ( | void |  | ) | const`[inline]`

| Composes this aggregate into a string Returns: string form of this aggregate Definition at line 79 of file ofx_aggregate.hh. Referenced by Add(), libofx_request_accountinfo(), libofx_request_payment(), libofx_request_payment_status(), and libofx_request_statement().

The documentation for this class was generated from the following files:

- ofx_aggregate.hh
- fx-0.8.2/lib/ofx_aggregate.hh